## Index

### Variables

- mapperForType

### Functions

- createToKeyFn
- forType
- fromDb
- fromDbOne
- getPropertyValue
- testForKey
- toDb
- toDbOne
- toKey

## Variables

### Const mapperForType

mapperForType: Map<AttributeValueType, MapperForType<any, any>> = new Map()

- Defined in mapper/mapper.ts:22

## Functions

### createToKeyFn

- createToKeyFn<T>(modelConstructor: ModelConstructor<T>): function

- - Defined in mapper/mapper.ts:144

  returns the function for the given ModelConstructor to create the AttributeMap with HASH (and RANGE) Key of a given item. used to delete items

  #### Type parameters

  - #### T

  #### Parameters

  - ##### modelConstructor: ModelConstructor<T>

  #### Returns function

  - - (item: Partial<T>): Attributes<T>

    - #### Parameters

      - ##### item: Partial<T>

      #### Returns Attributes<T>

### forType

- forType(type: AttributeValueType): MapperForType<any, Attribute>

- - Defined in mapper/mapper.ts:247

  #### Parameters

  - ##### type: AttributeValueType

  #### Returns MapperForType<any, Attribute>

### fromDb

- fromDb<T>(attributeMap: Attributes<T>, modelClass?: ModelConstructor<T>): T

- - Defined in mapper/mapper.ts:174

  #### Type parameters

  - #### T

  #### Parameters

  - ##### attributeMap: Attributes<T>

  - ##### Optional modelClass: ModelConstructor<T>

  #### Returns T

### fromDbOne

- fromDbOne<T>(attributeValue: Attribute, propertyMetadata?: PropertyMetadata<any, any>): T

- - Defined in mapper/mapper.ts:233

  #### Type parameters

  - #### T

  #### Parameters

  - ##### attributeValue: Attribute

  - ##### Optional propertyMetadata: PropertyMetadata<any, any>

  #### Returns T

### getPropertyValue

- getPropertyValue(item: any, propertyKey: PropertyKey): any

- - Defined in mapper/mapper.ts:296

  #### Parameters

  - ##### item: any

  - ##### propertyKey: PropertyKey

  #### Returns any

### testForKey

- testForKey<T>(p: PropertyMetadata<T>): boolean

- - Defined in mapper/mapper.ts:136

  #### Type parameters

  - #### T

  #### Parameters

  - ##### p: PropertyMetadata<T>

  #### Returns boolean

### toDb

- toDb<T>(item: T, modelConstructor?: ModelConstructor<T>): Attributes<T>

- - Defined in mapper/mapper.ts:24

  #### Type parameters

  - #### T

  #### Parameters

  - ##### item: T

  - ##### Optional modelConstructor: ModelConstructor<T>

  #### Returns Attributes<T>

### toDbOne

- toDbOne(propertyValue: any, propertyMetadata?: PropertyMetadata<any>): Attribute | null

- - Defined in mapper/mapper.ts:106

  #### Parameters

  - ##### propertyValue: any

  - ##### Optional propertyMetadata: PropertyMetadata<any>

  #### Returns Attribute | null

### toKey

- toKey<T>(item: T, modelConstructor: ModelConstructor<T>): Attributes<T>

- - Defined in mapper/mapper.ts:170

  #### Type parameters

  - #### T

  #### Parameters

  - ##### item: T

  - ##### modelConstructor: ModelConstructor<T>

  #### Returns Attributes<T>

Generated using TypeDoc